> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a workflow synchronously

> Executes a workflow with the specified login and parameters and waits for completion



## OpenAPI

````yaml post /workflows/executeSync
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /workflows/executeSync:
    post:
      tags:
        - Workflows
      summary: Execute a workflow synchronously
      description: >-
        Executes a workflow with the specified login and parameters and waits
        for completion
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Object_workflowId_workflowName_loginId_61'
      responses:
        '200':
          description: Workflow execution completed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  execution:
                    oneOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            description: Unique identifier for the execution
                          workflow:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ID of the workflow being executed
                              name:
                                type: string
                                description: Name of the workflow being executed
                            required:
                              - id
                              - name
                          batch:
                            type:
                              - object
                              - 'null'
                            properties:
                              id:
                                type: string
                                description: ID of the execution batch
                              name:
                                type: string
                                description: Name of the execution batch
                            required:
                              - id
                              - name
                            description: Batch information if execution is part of a batch
                          logins:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the login used for execution
                                name:
                                  type: string
                                  description: Name of the login used for execution
                              required:
                                - id
                                - name
                          authentications:
                            type: array
                            items:
                              $ref: '#/components/schemas/Union_2'
                            description: Authentication responses for this execution
                          startTime:
                            type: string
                            format: date-time
                            description: When the execution started
                          params:
                            type: object
                            additionalProperties: {}
                            description: Execution parameters
                          metadata:
                            type: object
                            additionalProperties: {}
                            description: Execution metadata
                          name:
                            type:
                              - string
                              - 'null'
                            description: Execution name
                          startBlock:
                            oneOf:
                              - $ref: '#/components/schemas/Login_6'
                              - $ref: '#/components/schemas/FormBlock_7'
                              - $ref: '#/components/schemas/FillDocument_8'
                              - $ref: '#/components/schemas/FillSpreadsheet_9'
                              - $ref: '#/components/schemas/MouseBlock_10'
                              - $ref: '#/components/schemas/HoverBlock_11'
                              - $ref: '#/components/schemas/Search_12'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Input
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    oneOf:
                                      - $ref: '#/components/schemas/Union_13'
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: SensitiveTextInput
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Dropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: NativeDropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Checkbox
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Input
                              - $ref: '#/components/schemas/DateInput_16'
                              - $ref: '#/components/schemas/Dropdown_17'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Extract
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_prompt_schema_useVision_18
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Extract
                              - $ref: '#/components/schemas/ParseDocument_20'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ExtractFromInput
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_inputText_prompt_schema_21
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Generate
                              - $ref: '#/components/schemas/ExtractImages_23'
                              - $ref: '#/components/schemas/QueryKnowledgeBase_24'
                              - $ref: '#/components/schemas/FindDocument_25'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: API
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_method_route_data_26
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: API
                              - $ref: '#/components/schemas/Navigate_28'
                              - $ref: '#/components/schemas/ClosePage_29'
                              - $ref: '#/components/schemas/ClosePopup_30'
                              - $ref: '#/components/schemas/Multistep_31'
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_32
                              - $ref: '#/components/schemas/Wait_33'
                              - $ref: '#/components/schemas/WaitForCondition_34'
                              - $ref: '#/components/schemas/WaitForCaptchaSolve_35'
                              - $ref: '#/components/schemas/FailOnCondition_36'
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_37
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_38
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_39
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_40
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_41
                              - $ref: '#/components/schemas/DownloadFileBlock_42'
                              - $ref: '#/components/schemas/SaveAsPDFBlock_43'
                              - $ref: '#/components/schemas/CodeV2_44'
                              - $ref: '#/components/schemas/Transform_45'
                              - $ref: '#/components/schemas/ParsetoCSV_46'
                              - $ref: '#/components/schemas/RemovePagesFromPdf_47'
                              - $ref: '#/components/schemas/ExitFromLoop_48'
                              - $ref: '#/components/schemas/Next_49'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: SendEmail
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_toAddresses_ccAddresses_subject_50
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: SendEmail
                                description: >-
                                  A block that sends an email from the workflow
                                  with templated content and file attachments
                              - $ref: '#/components/schemas/SearchandNavigate_52'
                              - $ref: '#/components/schemas/UnzipFile_53'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: LoopV2
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: '#/components/schemas/Union_54'
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                  sequenceData:
                                    type: object
                                    properties:
                                      sequence:
                                        type: array
                                        items:
                                          $ref: >-
                                            #/components/schemas/LoopV2NestedBlockInitializer
                                        description: Sequence of blocks within the loop
                                    required:
                                      - sequence
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                  - sequenceData
                                title: Loop
                              - $ref: '#/components/schemas/If_56'
                              - type: 'null'
                            description: The block where execution started, if specified
                          downloads:
                            type:
                              - object
                              - 'null'
                            properties:
                              status:
                                type: string
                                enum:
                                  - pending
                                  - in_progress
                                  - success
                                  - failed
                              files:
                                type: array
                                items:
                                  $ref: '#/components/schemas/FileInfo'
                              message:
                                type: string
                            required:
                              - status
                              - files
                            description: File downloads from the execution
                          contextAuthentications:
                            type: array
                            items:
                              $ref: >-
                                #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                            description: >-
                              Session authentication responses with login
                              summary for this execution
                          parentExecutionId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              ID of the parent execution that triggered this
                              execution
                          sessionId:
                            type:
                              - string
                              - 'null'
                            description: ID of the session associated with this execution
                          agentConversationThreadId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              ID of the linked agent conversation thread, if
                              this execution was triggered by an agent
                          attempts:
                            type: number
                            description: >-
                              Number of times this execution has been attempted
                              (including retries)
                          totalAttempts:
                            type: number
                            description: >-
                              Total number of attempts allowed for this
                              execution (initial + retries)
                          isLastAttempt:
                            type: boolean
                            description: >-
                              Whether this is the last attempt for this
                              execution (attempts >= totalAttempts)
                          isTest:
                            type: boolean
                            description: Whether this execution is a test run
                          durationMs:
                            type: number
                            description: Duration of the execution in milliseconds
                          endTime:
                            type: string
                            format: date-time
                            description: When the execution completed (if finished)
                          response:
                            type:
                              - object
                              - 'null'
                            additionalProperties: {}
                            description: Response from the execution
                          truncatedResponse:
                            type:
                              - string
                              - 'null'
                            description: Preview of the response from the execution
                          responseFile:
                            $ref: '#/components/schemas/Schema_58'
                          browserSessionId:
                            type:
                              - string
                              - 'null'
                            description: ID of the browser session used for execution
                          browserSessionVendorId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Vendor-specific session ID from the serverless
                              browser provider
                          errorAnalysis:
                            type:
                              - string
                              - 'null'
                            description: >-
                              AI-generated analysis of what went wrong during
                              the execution, based on the session recording
                          summary:
                            type:
                              - string
                              - 'null'
                            description: >-
                              AI-generated summary of what happened during the
                              execution, with links to block spans
                          status:
                            type: string
                            enum:
                              - Completed
                          context:
                            type:
                              - object
                              - 'null'
                            additionalProperties: {}
                            description: >-
                              Complete context of the execution, including
                              intermediate results, workflow state, and any
                              additional metadata gathered during execution
                        required:
                          - id
                          - workflow
                          - batch
                          - logins
                          - authentications
                          - startTime
                          - params
                          - metadata
                          - name
                          - startBlock
                          - contextAuthentications
                          - sessionId
                          - agentConversationThreadId
                          - attempts
                          - totalAttempts
                          - isLastAttempt
                          - isTest
                          - durationMs
                          - endTime
                          - response
                          - truncatedResponse
                          - responseFile
                          - browserSessionId
                          - browserSessionVendorId
                          - errorAnalysis
                          - summary
                          - status
                          - context
                        title: Completed Execution
                        description: >-
                          Recording of a successfully completed workflow
                          execution
                      - type: object
                        properties:
                          id:
                            type: string
                            description: Unique identifier for the execution
                          workflow:
                            type: object
                            properties:
                              id:
                                type: string
                                description: ID of the workflow being executed
                              name:
                                type: string
                                description: Name of the workflow being executed
                            required:
                              - id
                              - name
                          batch:
                            type:
                              - object
                              - 'null'
                            properties:
                              id:
                                type: string
                                description: ID of the execution batch
                              name:
                                type: string
                                description: Name of the execution batch
                            required:
                              - id
                              - name
                            description: Batch information if execution is part of a batch
                          logins:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: ID of the login used for execution
                                name:
                                  type: string
                                  description: Name of the login used for execution
                              required:
                                - id
                                - name
                          authentications:
                            type: array
                            items:
                              $ref: '#/components/schemas/Union_2'
                            description: Authentication responses for this execution
                          startTime:
                            type: string
                            format: date-time
                            description: When the execution started
                          params:
                            type: object
                            additionalProperties: {}
                            description: Execution parameters
                          metadata:
                            type: object
                            additionalProperties: {}
                            description: Execution metadata
                          name:
                            type:
                              - string
                              - 'null'
                            description: Execution name
                          startBlock:
                            oneOf:
                              - $ref: '#/components/schemas/Login_6'
                              - $ref: '#/components/schemas/FormBlock_7'
                              - $ref: '#/components/schemas/FillDocument_8'
                              - $ref: '#/components/schemas/FillSpreadsheet_9'
                              - $ref: '#/components/schemas/MouseBlock_10'
                              - $ref: '#/components/schemas/HoverBlock_11'
                              - $ref: '#/components/schemas/Search_12'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Input
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    oneOf:
                                      - $ref: '#/components/schemas/Union_13'
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: SensitiveTextInput
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Dropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: NativeDropdown
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                      - type: object
                                        properties:
                                          key:
                                            type: string
                                          mode:
                                            type: string
                                            enum:
                                              - code
                                              - aiInference
                                          useVision:
                                            type: boolean
                                          inputType:
                                            type: string
                                            const: Checkbox
                                          value:
                                            type: string
                                        required:
                                          - key
                                          - inputType
                                          - value
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Input
                              - $ref: '#/components/schemas/DateInput_16'
                              - $ref: '#/components/schemas/Dropdown_17'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: Extract
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_prompt_schema_useVision_18
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Extract
                              - $ref: '#/components/schemas/ParseDocument_20'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: ExtractFromInput
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_inputText_prompt_schema_21
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: Generate
                              - $ref: '#/components/schemas/ExtractImages_23'
                              - $ref: '#/components/schemas/QueryKnowledgeBase_24'
                              - $ref: '#/components/schemas/FindDocument_25'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: API
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_method_route_data_26
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: API
                              - $ref: '#/components/schemas/Navigate_28'
                              - $ref: '#/components/schemas/ClosePage_29'
                              - $ref: '#/components/schemas/ClosePopup_30'
                              - $ref: '#/components/schemas/Multistep_31'
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_32
                              - $ref: '#/components/schemas/Wait_33'
                              - $ref: '#/components/schemas/WaitForCondition_34'
                              - $ref: '#/components/schemas/WaitForCaptchaSolve_35'
                              - $ref: '#/components/schemas/FailOnCondition_36'
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_37
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_38
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_39
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_40
                              - $ref: >-
                                  #/components/schemas/Object_id_name_blockReferenceId_41
                              - $ref: '#/components/schemas/DownloadFileBlock_42'
                              - $ref: '#/components/schemas/SaveAsPDFBlock_43'
                              - $ref: '#/components/schemas/CodeV2_44'
                              - $ref: '#/components/schemas/Transform_45'
                              - $ref: '#/components/schemas/ParsetoCSV_46'
                              - $ref: '#/components/schemas/RemovePagesFromPdf_47'
                              - $ref: '#/components/schemas/ExitFromLoop_48'
                              - $ref: '#/components/schemas/Next_49'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: SendEmail
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: >-
                                      #/components/schemas/Object_toAddresses_ccAddresses_subject_50
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                title: SendEmail
                                description: >-
                                  A block that sends an email from the workflow
                                  with templated content and file attachments
                              - $ref: '#/components/schemas/SearchandNavigate_52'
                              - $ref: '#/components/schemas/UnzipFile_53'
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  blockReferenceId:
                                    type: string
                                  type:
                                    type: string
                                    const: LoopV2
                                  locator:
                                    oneOf:
                                      - $ref: '#/components/schemas/ElementLocator'
                                      - type: 'null'
                                  isCacheable:
                                    type: boolean
                                  skipIfNotPresent:
                                    type: boolean
                                  useWorkflowRecoveryAgent:
                                    type: boolean
                                  data:
                                    $ref: '#/components/schemas/Union_54'
                                  parentRelationship:
                                    type: object
                                    properties:
                                      blockDepth:
                                        type: number
                                      positionInSequence:
                                        type: number
                                      parentBlockId:
                                        type:
                                          - string
                                          - 'null'
                                      parentSequenceId:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - sequence
                                          - trueSequence
                                          - falseSequence
                                    required:
                                      - blockDepth
                                      - positionInSequence
                                      - parentBlockId
                                      - parentSequenceId
                                  sequenceData:
                                    type: object
                                    properties:
                                      sequence:
                                        type: array
                                        items:
                                          $ref: >-
                                            #/components/schemas/LoopV2NestedBlockInitializer
                                        description: Sequence of blocks within the loop
                                    required:
                                      - sequence
                                required:
                                  - id
                                  - name
                                  - blockReferenceId
                                  - type
                                  - isCacheable
                                  - skipIfNotPresent
                                  - useWorkflowRecoveryAgent
                                  - data
                                  - parentRelationship
                                  - sequenceData
                                title: Loop
                              - $ref: '#/components/schemas/If_56'
                              - type: 'null'
                            description: The block where execution started, if specified
                          downloads:
                            type:
                              - object
                              - 'null'
                            properties:
                              status:
                                type: string
                                enum:
                                  - pending
                                  - in_progress
                                  - success
                                  - failed
                              files:
                                type: array
                                items:
                                  $ref: '#/components/schemas/FileInfo'
                              message:
                                type: string
                            required:
                              - status
                              - files
                            description: File downloads from the execution
                          contextAuthentications:
                            type: array
                            items:
                              $ref: >-
                                #/components/schemas/Object_contextAuthenticationId_loginSummary_authenticationStatus_4
                            description: >-
                              Session authentication responses with login
                              summary for this execution
                          parentExecutionId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              ID of the parent execution that triggered this
                              execution
                          sessionId:
                            type:
                              - string
                              - 'null'
                            description: ID of the session associated with this execution
                          agentConversationThreadId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              ID of the linked agent conversation thread, if
                              this execution was triggered by an agent
                          attempts:
                            type: number
                            description: >-
                              Number of times this execution has been attempted
                              (including retries)
                          totalAttempts:
                            type: number
                            description: >-
                              Total number of attempts allowed for this
                              execution (initial + retries)
                          isLastAttempt:
                            type: boolean
                            description: >-
                              Whether this is the last attempt for this
                              execution (attempts >= totalAttempts)
                          isTest:
                            type: boolean
                            description: Whether this execution is a test run
                          durationMs:
                            type: number
                            description: Duration of the execution in milliseconds
                          endTime:
                            type: string
                            format: date-time
                            description: When the execution completed (if finished)
                          response:
                            type:
                              - object
                              - 'null'
                            additionalProperties: {}
                            description: Response from the execution
                          truncatedResponse:
                            type:
                              - string
                              - 'null'
                            description: Preview of the response from the execution
                          responseFile:
                            $ref: '#/components/schemas/Schema_58'
                          browserSessionId:
                            type:
                              - string
                              - 'null'
                            description: ID of the browser session used for execution
                          browserSessionVendorId:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Vendor-specific session ID from the serverless
                              browser provider
                          errorAnalysis:
                            type:
                              - string
                              - 'null'
                            description: >-
                              AI-generated analysis of what went wrong during
                              the execution, based on the session recording
                          summary:
                            type:
                              - string
                              - 'null'
                            description: >-
                              AI-generated summary of what happened during the
                              execution, with links to block spans
                          status:
                            type: string
                            enum:
                              - Failed
                          context:
                            type: 'null'
                            description: Context is not available for failed executions
                          error:
                            type: object
                            properties:
                              code:
                                type: string
                                description: Error code identifying the type of failure
                              message:
                                type: string
                                description: Detailed error message describing the failure
                            required:
                              - code
                              - message
                            description: Error details for the failed execution
                        required:
                          - id
                          - workflow
                          - batch
                          - logins
                          - authentications
                          - startTime
                          - params
                          - metadata
                          - name
                          - startBlock
                          - contextAuthentications
                          - sessionId
                          - agentConversationThreadId
                          - attempts
                          - totalAttempts
                          - isLastAttempt
                          - isTest
                          - durationMs
                          - endTime
                          - response
                          - truncatedResponse
                          - responseFile
                          - browserSessionId
                          - browserSessionVendorId
                          - errorAnalysis
                          - summary
                          - status
                          - context
                          - error
                        title: Failed Execution
                        description: Recording of a failed workflow execution
                required:
                  - execution
                description: >-
                  Synchronous workflow execution result with finished execution
                  data
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Workflow or login not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                    example: Workflow not found or does not belong to this organization
                required:
                  - error
components:
  schemas:
    Object_workflowId_workflowName_loginId_61:
      type: object
      properties:
        workflowId:
          type: string
          description: >-
            ID of the workflow to execute. Either workflowId or workflowName
            must be provided.
        workflowName:
          type: string
          description: >-
            Name of the workflow to execute. If provided, the workflow will be
            looked up by name within the organization. Either workflowId or
            workflowName must be provided.
        loginId:
          type: string
          description: ID of the login to use for authentication
        params:
          type: object
          additionalProperties: {}
          description: Runtime parameters for the workflow execution
          example:
            origin: New York
            destination: Los Angeles
        name:
          oneOf:
            - type: string
            - type: number
          description: >-
            Optional name for the execution (string or number, automatically
            converted to string)
          examples:
            - User batch execution
            - 12345
            - Execution-001
        timeout:
          type: integer
          exclusiveMinimum: 0
          description: >-
            Optional timeout in seconds for the execution (defaults to 10800
            seconds / 3 hours)
          example: 10800
        useProxy:
          type: boolean
          description: Whether to use a proxy for this execution
          default: false
        startBlockId:
          type: string
          description: Optional ID of the block to start execution from
          example: '1'
        batchId:
          type: string
          description: Optional ID of the execution batch to assign this execution to
          example: batch_123
        isTest:
          type: boolean
          description: Whether this execution is a test run
          default: false
        agentConversationThreadId:
          type: string
          description: >-
            Optional ID of an agent conversation thread to associate with this
            execution (used when duplicating executions that were triggered by
            an agent)
      required:
        - params
    Union_2:
      oneOf:
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: InProgress
              description: Status of the authentication
            liveViewUrl:
              type:
                - string
                - 'null'
              description: URL for live view of the authentication
          required:
            - browserSessionId
            - status
            - liveViewUrl
          title: In Progress Authentication
        - type: object
          properties:
            status:
              type: string
              const: Enqueued
              description: Status of the authentication
          required:
            - status
          title: Enqueued Authentication
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: Completed
              description: Status of the authentication
          required:
            - browserSessionId
            - status
          title: Finished Authentication
        - type: object
          properties:
            browserSessionId:
              type: string
              description: ID of the browser session used for authentication
            status:
              type: string
              const: Failed
              description: Status of the authentication
          required:
            - browserSessionId
            - status
          title: Failed Authentication
    Login_6:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Login
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            loginId:
              type: string
            isParameter:
              type: boolean
            forceLoginEveryTime:
              type: boolean
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Login
    FormBlock_7:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Form
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            dataPrompt:
              $ref: '#/components/schemas/TextValue'
              description: >-
                Prompt containing the actual data/information to fill into the
                form fields
          required:
            - dataPrompt
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Form Block
      description: >-
        A block that automatically maps and fills input fields on a form using
        AI-powered field detection and data mapping.
    FillDocument_8:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: FillDocument
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            fileId:
              type: string
              description: The ID of the file to fill
            prompt:
              $ref: '#/components/schemas/TextValue'
              description: The prompt describing what to fill in the document
          required:
            - fileId
            - prompt
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: FillDocument
      description: A block that fills a document with specified content using AI
    FillSpreadsheet_9:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: FillSpreadsheet
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            fileId:
              type: string
              description: The ID of the Excel file to fill
            prompt:
              $ref: '#/components/schemas/TextValue'
              description: >-
                Optional additional instructions for the LLM when generating row
                data
            fromOrganizationFiles:
              type: boolean
              description: >-
                Whether the file is selected from organization files (true) or
                from a parameter (false)
          required:
            - fileId
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Fill Spreadsheet
      description: >-
        A block that reads an Excel file, extracts column headers from the
        second row, and uses an LLM to generate data for the third row
    MouseBlock_10:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Mouse
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            prompt:
              $ref: '#/components/schemas/TextValue'
            locationHint:
              $ref: '#/components/schemas/TextValue'
            doubleClick:
              type: boolean
            force:
              type: boolean
            useVision:
              type: boolean
            segment:
              type:
                - string
                - 'null'
              enum:
                - top
                - left
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Mouse Block
    HoverBlock_11:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Hover
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            prompt:
              $ref: '#/components/schemas/TextValue'
            locationHint:
              $ref: '#/components/schemas/TextValue'
            useVision:
              type: boolean
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Hover Block
    Search_12:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Search
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            prompt:
              $ref: '#/components/schemas/TextValue'
            query:
              $ref: '#/components/schemas/TextValue'
            shouldNotClearFirst:
              type: boolean
              default: true
            shouldType:
              type: boolean
            agenticSearch:
              type: boolean
            knowledgeBaseIds:
              type: array
              items:
                type: string
            instructions:
              $ref: '#/components/schemas/TextValue'
            skipIfMaxStepsReached:
              type: boolean
          required:
            - prompt
            - query
            - shouldNotClearFirst
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Search
    ElementLocator:
      type: object
      properties:
        role:
          type: string
        text:
          type: string
        label:
          type: string
        placeholder:
          type: string
        altText:
          type: string
        title:
          type: string
        css:
          type: string
        xpath:
          type: string
    Union_13:
      oneOf:
        - type: object
          properties:
            key:
              type: string
            mode:
              type: string
              enum:
                - code
                - aiInference
            useVision:
              type: boolean
            inputType:
              type: string
              const: TextInput
            shouldNotClearFirst:
              type: boolean
            getTextFromLogin:
              type: boolean
              const: true
            loginId:
              type: string
            loginFieldType:
              type: string
              enum:
                - username
                - password
          required:
            - key
            - inputType
            - getTextFromLogin
            - loginId
            - loginFieldType
        - type: object
          properties:
            key:
              type: string
            mode:
              type: string
              enum:
                - code
                - aiInference
            useVision:
              type: boolean
            inputType:
              type: string
              const: TextInput
            value:
              type: string
            semanticValue:
              type: string
            knowledgeBaseIds:
              type: array
              items:
                type: string
            shouldNotClearFirst:
              type: boolean
            getTextFromLogin:
              type: boolean
              const: false
          required:
            - key
            - inputType
            - semanticValue
        - type: object
          properties:
            key:
              type: string
            mode:
              type: string
              enum:
                - code
                - aiInference
            useVision:
              type: boolean
            inputType:
              type: string
              const: TextInput
            value:
              type: string
            semanticValue:
              type: string
            knowledgeBaseIds:
              type: array
              items:
                type: string
            shouldNotClearFirst:
              type: boolean
            getTextFromLogin:
              type: boolean
              const: false
          required:
            - key
            - inputType
            - value
    DateInput_16:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: DateInput
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            key:
              $ref: '#/components/schemas/TextValue'
            value:
              $ref: '#/components/schemas/TextValue'
            useVision:
              type: boolean
              default: false
          required:
            - key
            - value
            - useVision
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
                - 'null'
            parentSequenceId:
              type:
                - string
                - 'null'
              enum:
                - sequence
                - trueSequence
                - falseSequence
          required:
            - blockDepth
            - positionInSequence
            - parentBlockId
            - parentSequenceId
      required:
        - id
        - name
        - blockReferenceId
        - type
        - isCacheable
        - skipIfNotPresent
        - useWorkflowRecoveryAgent
        - data
        - parentRelationship
      title: Date Input
    Dropdown_17:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        blockReferenceId:
          type: string
        type:
          type: string
          const: Dropdown
        locator:
          oneOf:
            - $ref: '#/components/schemas/ElementLocator'
            - type: 'null'
        isCacheable:
          type: boolean
        skipIfNotPresent:
          type: boolean
        useWorkflowRecoveryAgent:
          type: boolean
        data:
          type: object
          properties:
            key:
              $ref: '#/components/schemas/TextValue'
              description: Label or field description for the dropdown
            value:
              $ref: '#/components/schemas/TextValue'
              description: The option text to select from the dropdown
            useVision:
              type: boolean
              description: >-
                Use AI vision to identify and click the dropdown and option
                instead of selectors
            multipleSelect:
              type: boolean
              description: Select multiple options from the dropdown
          required:
            - key
            - value
        parentRelationship:
          type: object
          properties:
            blockDepth:
              type: number
            positionInSequence:
              type: number
            parentBlockId:
              type:
                - string
[...]
